"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js/object/define-property");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.usePageLoadingContext = exports.PageLoadingContextProvider = void 0;
var _react = require("react");
var _util = require("./util");
var _jsxRuntime = require("react/jsx-runtime");
const PageLoadingContext = (0, _util.createNamedContext)('PageLoading');
const PageLoadingContextProvider = _ref => {
  let {
    children,
    delay = 1000
  } = _ref;
  const [loading, setPageLoadingContext] = (0, _react.useState)(false);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(PageLoadingContext.Provider, {
    value: {
      loading,
      setPageLoadingContext,
      delay
    },
    children: children
  });
};
exports.PageLoadingContextProvider = PageLoadingContextProvider;
const usePageLoadingContext = () => {
  const pageLoadingContext = (0, _react.useContext)(PageLoadingContext);
  if (!pageLoadingContext) {
    throw new Error('usePageLoadingContext must be used within a PageLoadingContext provider');
  }
  return pageLoadingContext;
};
exports.usePageLoadingContext = usePageLoadingContext;