"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault").default;
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.navigate = exports.gHistory = exports.back = void 0;
var _now = _interopRequireDefault(require("@babel/runtime-corejs3/core-js/date/now"));
var _globalThis2 = _interopRequireDefault(require("@babel/runtime-corejs3/core-js/global-this"));
var _url = _interopRequireDefault(require("@babel/runtime-corejs3/core-js/url"));
var _values = _interopRequireDefault(require("@babel/runtime-corejs3/core-js/object/values"));
const createHistory = () => {
  const listeners = {};
  return {
    listen: listener => {
      const listenerId = 'RW_HISTORY_LISTENER_ID_' + (0, _now.default)();
      listeners[listenerId] = listener;
      _globalThis2.default.addEventListener('popstate', listener);
      return listenerId;
    },
    navigate: (to, options) => {
      const {
        pathname,
        search,
        hash
      } = new _url.default(_globalThis2.default?.location?.origin + to);
      if (_globalThis2.default?.location?.pathname !== pathname || _globalThis2.default?.location?.search !== search || _globalThis2.default?.location?.hash !== hash) {
        if (options?.replace) {
          _globalThis2.default.history.replaceState({}, '', to);
        } else {
          _globalThis2.default.history.pushState({}, '', to);
        }
      }
      for (const listener of (0, _values.default)(listeners)) {
        listener();
      }
    },
    back: () => {
      _globalThis2.default.history.back();
      for (const listener of (0, _values.default)(listeners)) {
        listener();
      }
    },
    remove: listenerId => {
      if (listeners[listenerId]) {
        const listener = listeners[listenerId];
        _globalThis2.default.removeEventListener('popstate', listener);
        delete listeners[listenerId];
      } else {
        console.warn('History Listener with ID: ' + listenerId + ' does not exist.');
      }
    }
  };
};
const gHistory = exports.gHistory = createHistory();
const {
  navigate,
  back
} = gHistory;
exports.back = back;
exports.navigate = navigate;