import React from 'react';
import type { TrailingSlashesTypes } from './util';
export interface LocationContextType {
    pathname: string;
    search?: string;
    hash?: string;
}
declare const LocationContext: React.Context<LocationContextType | undefined>;
interface Location {
    pathname: string;
    search?: string;
    hash?: string;
}
interface LocationProviderProps {
    location?: Location;
    trailingSlashes?: TrailingSlashesTypes;
    children?: React.ReactNode;
}
interface LocationProviderState {
    context: Location;
}
declare class LocationProvider extends React.Component<LocationProviderProps, LocationProviderState> {
    static contextType: React.Context<LocationContextType | undefined>;
    context: React.ContextType<typeof LocationContext>;
    HISTORY_LISTENER_ID: string | undefined;
    state: LocationProviderState;
    getContext(): {
        pathname: string;
        search: string | undefined;
        hash: string | undefined;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.JSX.Element;
}
declare const useLocation: () => LocationContextType;
export { LocationProvider, LocationContext, useLocation };
//# sourceMappingURL=location.d.ts.map