"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js/object/define-property");
var _interopRequireWildcard = require("@babel/runtime-corejs3/helpers/interopRequireWildcard").default;
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.useRouterState = exports.RouterContextProvider = void 0;
var _react = _interopRequireWildcard(require("react"));
var _auth = require("@redwoodjs/auth");
var _jsxRuntime = require("react/jsx-runtime");
const RouterStateContext = /*#__PURE__*/(0, _react.createContext)(undefined);
const RouterContextProvider = _ref => {
  let {
    useAuth,
    paramTypes,
    routes,
    activeRouteName,
    children
  } = _ref;
  const state = (0, _react.useMemo)(() => ({
    useAuth: useAuth || _auth.useNoAuth,
    paramTypes,
    routes,
    activeRouteName
  }), [useAuth, paramTypes, routes, activeRouteName]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(RouterStateContext.Provider, {
    value: state,
    children: children
  });
};
exports.RouterContextProvider = RouterContextProvider;
const useRouterState = () => {
  const context = (0, _react.useContext)(RouterStateContext);
  if (context === undefined) {
    throw new Error('useRouterState must be used within a RouterContextProvider');
  }
  return context;
};
exports.useRouterState = useRouterState;